<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 63;

$settingsArray = array();

$setting = new Setting();
$setting->name = 'standorteproseite';
$setting->description = 'Angezeigte Standorte pro Seite';
$setting->help = 'Eingabe der Anzahl der Standorte pro Seite.';
$setting->subGroup = 'Standortübersicht';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'standorteseitenwahlanz';
$setting->description = 'Anzahl der Indizes für die Seitenauswahlleiste';
$setting->help = 'Die Seitenauswahlleiste für Standorte wird z. B. wie folgt dargestellt
Seiten: 1 | 2 | 3 | 4 | 5 | 6 | 7

 Hier kann die Anzahl der Seitenindizes (im Bsp. 7), die in der Seitenauswahlleiste
 angezeigt werden, eingegeben werden.
Als Eingabe wird ein (sinnvoller!) Wert zwischen 2 und 50 erwartet. Falls nichts, ein nicht numerischer Wert oder ein Wert au&szlig;erhalb des Bereichs eingegeben wird, wird die Seitauswahlleiste
 mit der Voreinstellung von 9 Seitenindizes ausgegeben. ';
$setting->subGroup = 'Standortübersicht';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 3;
$setting->config->maxLength = 3;
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'sortstandorte';
$setting->description = 'Sortierung der Standorte';
$setting->help = '';
$setting->subGroup = 'Standortübersicht';
$setting->toolId = 4;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
  'name' => 'nach Name',
  'kurzbez' => 'nach Schlüssel, Straße, Name',
  'ort' => 'nach PLZ Ort, Straße, Name',
  'strasse' => 'nach Straße, Name'
);
array_push($settingsArray, $setting);